// Delcom Engineering 
// DelcomDLL.h
// Version 0.1
// 02/06/03

#ifndef	DELCOMDLL_HEADER
#define DELCOMDLL_HEADER 1


// defines
#define	OFF			0
#define	ON			1
#define	FLASH		2

#define USBIODS		1
#define USBDELVI	2

#define GREENLED	0
#define	REDLED		1
#define BLUELED		2

#define MaxDeviceLen 512

// Typedef
typedef struct _DeviceNameStruct{
	char DeviceName[MaxDeviceLen];
} DeviceNameStruct, *pDeviceNameStruct;


typedef unsigned char uchar;         
typedef unsigned int  uint;         
typedef void *  HANDLE;         

typedef struct {
		uchar Recipient;
		uchar DeviceModel;
		uchar MajorCmd;
		uchar MinorCmd;
		uchar DataLSB;
		uchar DataMSB;
		short Length;
		uchar ExtData[8];
	} PacketStruct,*pPacketStruct;




// DLL Generic Functions

HANDLE DelcomGetDLLHandle(void);
double DelcomGetDLLVersion(void);
char* DelcomGetDLLDate(void);
int DelcomVerboseControl( int Mode, char* Header );
int DelcomScanDevices( int, DeviceNameStruct[], int );
int DelcomGetDeviceCount( int Type );
HANDLE DelcomOpenDevice(char *, int Mode);
int DelcomCloseDevice(HANDLE);

int DelcomReadDeviceVersion(HANDLE  );
int DelcomReadDeviceSerialNum(char *, HANDLE );
int DelcomSendPacket( HANDLE, pPacketStruct, pPacketStruct); 
	

// Visual Indicator Functions
int DelcomLEDControl( HANDLE hFile, int Color, int Mode );
int DelcomEnableAutoConfirm(HANDLE hUsb, int Mode);
int DelcomEnableAutoClear(HANDLE hUsb, int Mode);
int DelcomBuzzer(HANDLE hUsb, uchar Mode, uchar Freq, uchar Repeat, uchar OnTime, uchar OffTime);
int DelcomLoadInitialPhaseDelay(HANDLE hUsb, char Color, char Delay);
int DelcomSyncLeds(HANDLE hUsb);
int DelcomLoadPreScalar(HANDLE hUsb, char PreScalar);
int DelcomLoadLedFreqDuty(HANDLE hUsb, char Color, char Low, char High);
int DelcomGetButtonStatus(HANDLE hUsb );



#endif